      do i = 1 , n
        x(i) = 1.0
      enddo
      x(0) = 0.0
      x(n+1) = 0.0
      do k = 1, NoIters
        do i = 1 , n
          newx(i) = .5 * (x(i-1) + x(i+1) - dx2 * x(i))
        enddo
        do i = 1 , n
          x(i) = newx(i)
        enddo
      enddo
